#ifndef IMAGEOPERATIONBEAUTY_H
#define IMAGEOPERATIONBEAUTY_H

#include "imageoperationbase.h"

#include "../runningdialog.h"

class ImageOperationBeauty : public ImageOperationBase
{
public:
    ImageOperationBeauty(QImage *origin, QStack<QImage> *stackImage);
    virtual void ImageOP();
private:
    void beauty(const QImage inputImage);
    void showBeautyRunningDialog();

};

#endif // IMAGEOPERATIONBEAUTY_H
